#include "proto/progargs.h"
#include "interface.h"
 
#define START
#define INTERNAL
#define END

END

INTERNAL
void progargs_priv0( ULONG mode )
{
_LIB_progargs_priv0(mode);
}
END

INTERNAL
APTR PA_AllocPooled( APTR poolHeader, unsigned long memSize )
{
return _LIB_PA_AllocPooled(poolHeader,memSize);
}
END

INTERNAL
APTR PA_CreatePool( unsigned long memFlags, unsigned long puddleSize,
                    unsigned long threshSize )
{
return _LIB_PA_CreatePool(memFlags,puddleSize,threshSize);
}
END

INTERNAL
void PA_DeletePool( APTR poolHeader )
{
_LIB_PA_DeletePool(poolHeader);
}
END

INTERNAL
void PA_FreePooled( APTR poolHeader, APTR memory, unsigned long memSize )
{
_LIB_PA_FreePooled(poolHeader,memory,memSize);
}
END

INTERNAL
APTR PA_AllocVecPooled( APTR poolHeader, unsigned long memSize )
{
return _LIB_PA_AllocVecPooled(poolHeader,memSize);
}
END

INTERNAL
void PA_FreeVecPooled( APTR poolHeader, APTR memory )
{
_LIB_PA_FreeVecPooled(poolHeader,memory);
}
END

INTERNAL
void PA_FreeTagArgs( struct TagArgs* base )
{
_LIB_PA_FreeTagArgs(base);
}
END

START
struct TagArgs* PA_AllocTagArgs( Tag ctrl1Tag, ... )
{
return PA_AllocTagArgsA( (struct TagItem *)&ctrl1Tag );
}
END
INTERNAL
struct TagArgs* PA_AllocTagArgs( Tag ctrl1Tag, ... )
{
return _LIB_PA_AllocTagArgsA( (struct TagItem *)&ctrl1Tag );
}
END
INTERNAL
struct TagArgs* PA_AllocTagArgsA( struct TagItem* controlTags )
{
return _LIB_PA_AllocTagArgsA( controlTags );
}
END

START
BOOL PA_AddTagArgs( struct TagArgs* base, Tag arg1Tag, ... )
{
return PA_AddTagArgsA( base,(struct TagItem *)&arg1Tag );
}
END
INTERNAL
BOOL PA_AddTagArgs( struct TagArgs* base, Tag arg1Tag, ... )
{
return _LIB_PA_AddTagArgsA( base,(struct TagItem *)&arg1Tag );
}
END
INTERNAL
BOOL PA_AddTagArgsA( struct TagArgs* base, struct TagItem* args )
{
return _LIB_PA_AddTagArgsA( base,args );
}
END

START
BOOL PA_RemTagArgs( struct TagArgs* base, Tag arg1Tag, ... )
{
return PA_RemTagArgsA( base,(struct TagItem *)&arg1Tag );
}
END
INTERNAL
BOOL PA_RemTagArgs( struct TagArgs* base, Tag arg1Tag, ... )
{
return _LIB_PA_RemTagArgsA( base,(struct TagItem *)&arg1Tag );
}
END
INTERNAL
BOOL PA_RemTagArgsA( struct TagArgs* base, struct TagItem* args )
{
return _LIB_PA_RemTagArgsA( base,args );
}
END

INTERNAL
void FreeProgArgs( struct ProgArgs* base )
{
_LIB_FreeProgArgs(base);
}
END

START
struct ProgArgs* AllocProgArgs( struct ArgEntry* entries, Tag cmd1Tag, ... )
{
return AllocProgArgsA( entries, (struct TagItem *)&cmd1Tag );
}
END
INTERNAL
struct ProgArgs* AllocProgArgs( struct ArgEntry* entries, Tag cmd1Tag, ... )
{
return _LIB_AllocProgArgsA( entries, (struct TagItem *)&cmd1Tag );
}
END
INTERNAL
struct ProgArgs* AllocProgArgsA( struct ArgEntry* entries, 
                                 struct TagItem* cmdTags )
{
return _LIB_AllocProgArgsA( entries, cmdTags );
}
END

START
BOOL ExecProgArgs( struct ProgArgs* progArgs, Tag cmd1Tag, ... )
{
return ExecProgArgsA( progArgs,(struct TagItem *)&cmd1Tag );
}
END
INTERNAL
BOOL ExecProgArgs( struct ProgArgs* progArgs, Tag cmd1Tag, ... )
{
return _LIB_ExecProgArgsA( progArgs,(struct TagItem *)&cmd1Tag );
}
END
INTERNAL
BOOL ExecProgArgsA( struct ProgArgs* progArgs, struct TagItem* cmdTags )
{
return _LIB_ExecProgArgsA( progArgs,cmdTags );
}
END

START
BOOL AddProgArgs( struct ProgArgs* progArgs, Tag arg1Tag, ... )
{
return AddProgArgsA( progArgs,(struct TagItem *)&arg1Tag );
}
END
INTERNAL
BOOL AddProgArgs( struct ProgArgs* progArgs, Tag arg1Tag, ... )
{
return _LIB_AddProgArgsA( progArgs,(struct TagItem *)&arg1Tag );
}
END
INTERNAL
BOOL AddProgArgsA( struct ProgArgs* progArgs, struct TagItem* argTags )
{
return _LIB_AddProgArgsA( progArgs,argTags );
}
END

START
BOOL RemProgArgs( struct ProgArgs* progArgs, Tag arg1Tag, ... )
{
return RemProgArgsA( progArgs,(struct TagItem *)&arg1Tag );
}
END
INTERNAL
BOOL RemProgArgs( struct ProgArgs* progArgs, Tag arg1Tag, ... )
{
return _LIB_RemProgArgsA( progArgs,(struct TagItem *)&arg1Tag );
}
END
INTERNAL
BOOL RemProgArgsA( struct ProgArgs* progArgs, struct TagItem* argTags )
{
return _LIB_RemProgArgsA( progArgs,argTags );
}
END

START
BOOL GetProgArgs( struct ProgArgs* progArgs, Tag arg1Tag, ... )
{
return GetProgArgsA( progArgs,(struct TagItem *)&arg1Tag );
}
END
INTERNAL
BOOL GetProgArgs( struct ProgArgs* progArgs, Tag arg1Tag, ... )
{
return _LIB_GetProgArgsA( progArgs,(struct TagItem *)&arg1Tag );
}
END
INTERNAL
BOOL GetProgArgsA( struct ProgArgs* progArgs, struct TagItem* argTags )
{
return _LIB_GetProgArgsA( progArgs,argTags );
}
END

INTERNAL
struct ArgEntry* PA_GetArgEntry( struct ProgArgs* progArgs, Tag entryID)
{
    return _LIB_PA_GetArgEntry(progArgs,entryID);
}
END

INTERNAL
struct ArgEntry* PA_NextArgEntry( struct ProgArgs* progArgs, struct ArgEntry* curEntry)
{
    return _LIB_PA_NextArgEntry(progArgs,curEntry);
}
END

